Crypto++

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
CombinedNameValuePairs Class Reference
Inheritance diagram for CombinedNameValuePairs:

List of all members.

## Public Member Functions

| CombinedNameValuePairs (const NameValuePairs &pairs1, const NameValuePairs &pairs2)
bool | GetVoidValue (const char *name, const std::type_info &valueType, void *pValue) const
| to be implemented by derived classes, users should use one of the above functions instead
template<class T >
bool | GetThisObject (T &object) const
| get a copy of this object or a subobject of it
template<class T >
bool | GetThisPointer (T *&p) const
| get a pointer to this object, as a pointer to T
template<class T >
bool | GetValue (const char *name, T &value) const
| get a named value, returns true if the name exists
template<class T >
T | GetValueWithDefault (const char *name, T defaultValue) const
| get a named value, returns the default if the name doesn't exist
std::string | GetValueNames () const
| get a list of value names that can be retrieved
bool | GetIntValue (const char *name, int &value) const
| get a named value with type int
int | GetIntValueWithDefault (const char *name, int defaultValue) const
| get a named value with type int, with default
template<class T >
void | GetRequiredParameter (const char *className, const char *name, T &value) const
void | GetRequiredIntParameter (const char *className, const char *name, int &value) const

## Static Public Member Functions

static void | ThrowIfTypeMismatch (const char *name, const std::type_info &stored, const std::type_info &retrieving)
| used by derived classes to check for type mismatch

## Detailed Description

Definition at line 70 of file algparam.h.

## Member Function Documentation

bool NameValuePairs::GetIntValue | ( | const char * | name,
|  | int & | value
| ) |  | const`[inline, inherited]`

get a named value with type int

used to ensure we don't accidentally try to get an unsigned int or some other type when we mean int (which is the most common case)

Definition at line 281 of file cryptlib.h.

The documentation for this class was generated from the following file:

- algparam.h